package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordDabaoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 打包记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordDabaoMapper extends BaseMapperX<RecordDabaoDO> {

    default PageResult<RecordDabaoDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordDabaoDO>()
                .eq(RecordDabaoDO::getRecordId, recordId)
                .orderByDesc(RecordDabaoDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordDabaoDO::getRecordId, recordId);
    }

}